import type { RegexConstruct, RegexElement, RegexSequence } from '../types';
export interface Repeat extends RegexConstruct {
    type: 'repeat';
    count: RepeatCount;
    children: RegexElement[];
}
export type RepeatCount = number | {
    min: number;
    max?: number;
};
export declare function repeat(sequence: RegexSequence, count: RepeatCount): Repeat;
//# sourceMappingURL=repeat.d.ts.map