import type { RegexConstruct, RegexElement, RegexSequence } from '../types';
export interface ZeroOrMore extends RegexConstruct {
    type: 'zeroOrMore';
    children: RegexElement[];
}
export interface OneOrMore extends RegexConstruct {
    type: 'oneOrMore';
    children: RegexElement[];
}
export interface Optional extends RegexConstruct {
    type: 'optional';
    children: RegexElement[];
}
export declare function zeroOrMore(sequence: RegexSequence): ZeroOrMore;
export declare function oneOrMore(sequence: RegexSequence): OneOrMore;
export declare function optional(sequence: RegexSequence): Optional;
//# sourceMappingURL=quantifiers.d.ts.map